CloudLinux OS Blog

CageFS, LVE Manager, Python-cllib, cloudlinux-linksafe and lve-utils updated

CageFS, LVE Manager, Python-cllib, cloudlinux-linksafe and lve-utils updated

New updated CageFS, LVE Manager, Python-cllib, cloudlinux-linksafe and lve-utils packages are available from our production repository.

cagefs-5.5-6.48

Release notes:

  • Fixed CageFS functionality on CloudLinux 7 with postgresql installed.
  • Configured PHP in CageFS correctly when migrating sites to server with EA4 and without Alt-PHP.
  • Fixed issue with /usr/share/cagefs-skeleton/usr/selector absence after cagefsctl --reinit.
  • usr/bin/php and /usr/local/bin/php wrappers work correctly inside CageFS when using EA4 - start PHP version specified in .htaccess (if found).
  • Added /usr/local/php70 to /etc/cagefs/conf.d/directadmin.cfg file.
  • Enabled cagefsctl --reconfigure-cagefs correct work on ISP5.
  • Detecting LiteSpeed during CloudLinux uninstallation.
  • Added lines for alt-php to cagefs.mp while executing cagefsctl --create-mp.
  • Fixed cagefsctl errors when migrating from EA3 to EA4 with cloudlinux_ea3_to_ea4 script.

Changelog:

  • CAG-593: fixed CageFS functionality on CloudLinux 7 with postgresql installed;
  • CAG-598: configured PHP in CageFS correctly when migrating sites to server with EA4 and without Alt-PHP;
  • CAG-601: selectorctl does not fail to set native version for user on server with EA4;
  • CAG-585: correct CLI php version for user with custom ea-php version selected
  • CAG-580: added /usr/local/php70 to /etc/cagefs/conf.d/directadmin.cfg file;
  • CAG-578: made cagefs add exclude dir to ISP Manager5 backup plan correctly;
  • CAG-576: detects LiteSpeed during CloudLinux uninstallation;
  • CAG-613: added lines for alt-php to cagefs.mp while executing cagefsctl --create-mp
  • CAG-615: fix warnings "failed to create symlink" while converting EA3 to EA4.

python-cllib-1.2-2.13

Release notes:

  • Fixed CageFS functionality on CloudLinux 7 with postgresql installed.
  • Optimized selectorctl update-interpreter process.
  • Add ability to determine ISPManager 5 Business.

Changelog:

  • CAG-593: fixed CageFS functionality on CloudLinux 7 with postgresql installed;
  • LVEMAN-786: optimized selectorctl update-interpreter process;
  • PTCLLIB-49: Add ability to determine ISPManager 5 Business.

lve-utils-1.5-2.29

Release notes:

  • Disabled lve limits for packages on ISP5.
  • Created migration script for ve.cfg in ISP5.
  • Making backup before modifying ve.cfg for isppackagesreducer.
  • Optimized lvectl apply-all for large number of entries in ve.cfg.
  • Does not execute "lvectl apply" while stopping lvectl and cagefs services.
  • Improved CloudLinux.cgi and lvectl encodings support.
  • Fixed recursion depth error in deepcopy in isppackagesreducer.

Changelog:

  • LU-256: disabled lve limits for packages on ISP5;
  • LU-257: created migration script for ve.cfg in ISP5;
  • LU-263: isppackagesreducer: making backup before modifying ve.cfg;
  • LU-240: optimized lvectl apply-all for large number of entries in ve.cfg;
  • LU-226: does not execute "lvectl apply" while stopping lvectl and cagefs services
  • LVEMAN-881: improved CloudLinux.cgi and lvectl encodings support;
  • LU-266: fixed recursion depth error in deepcopy in isppackagesreducer.

lvemanager-1.0-9.57

Release notes:

  • Fixed PHP Selector interface for Safari browser in DirectAdmin.
  • Fixed PHP Selector user side error message issue when native PHP version is chosen in old version of LVE Manager plugin for Plesk.
  • Does not interrupt selectorctl --change-to-version if error occured.
  • Added "--update-backup" option to selectorctl - when running makes Alt-PHP user settings backup.
  • Fixed LVE Manager installation on cPanel-59.9999(EDGE) issue.
  • Fixed selectorctl error when php.conf contains sendmail_path directive.
  • Modified old LVE Manager plugin for Plesk 17.0.
  • Displaying more clear selectorctl error messages if needed PHP version not found.
  • Fixed typo in Ruby Selector error message.
  • Removed writing to tmp in cl-quota.
  • Fixed extra characters on PHP Selector web page when displaying the list of "disabled_functions".
  • Implemented polish localization to LVE Manager.
  • Fixed appearing slash symbol in the title for russian localization in cPanel.
  • Fixed error with appearing slashes in custom values of locale files after LVE Manager update.
  • Moved locked_extensions.ini config file to alt-* packages.
  • Fixed issue with displaying resources used and PHP Selector work for clients with more than one system user (subscription domain).

Changelog:

  • LVEMAN-562: fixed DA PHP Selector interface for Safari browser;
  • WEB-85: added warning on PHP Selector user page for Plesk if native PHP version is selected;
  • LVEMAN-912: does not interrupt selectorctl --change-to-version if error occured;
  • LVEMAN-836: added synchronization script for actual PHP versions to ~user/.cl.selector/defaults.cfg file;
  • LVEMAN-915: fixed issues with LVE Manager installation on cPanel-59.9999(EDGE);
  • LVEMAN-966: fixed selectorctl error when php.conf sendmail directive default value contains spaces;
  • WEB-211: modified old LVE Manager plugin for Plesk 17.0;
  • LVEMAN-887: improved error handling in selectorctl;
  • LVEMAN-895: fixed typo in error message 'ERROR:Rubby selector not supported for Unknown';
  • LVEMAN-900: removed writing to tmp in cl-quota;
  • LVEMAN-901: fixed extra characters on PHP Selector web page when displaying the list of "disabled_functions";
  • LVEMAN-891: added polish localization to LVE Manager;
  • LVEMAN-902: fixed appearing slash symbol in the title for russian localization in cPanel;
  • LVEMAN-906: fixed locale updates with install_module.pl file;
  • LVEMAN-680: moved locked_extensions.ini config file to alt-* packages;
  • WEB-122: fixed issue with Resource Usage and PHP Selector for clients that have different system users.

cloudlinux-linksafe-1-1.17

Changelog:

  • AL-1236: fixed link traversal protection configuration on pure 2.6.18 kernel;
  • AL-1344: fixed creation of fs.protected_*links_create parameters in /etc/sysctl.conf;
  • AL-1337: fixed work of Plesk machines with enabled protection;
  • AL-1640: removed python-cllib and lve-utils dependencies;
  • AL-1651: added ability to setup link traversal protection while converting server to CloudLinux.

To update run:

yum update cagefs lvemanager lve-utils

 

Topic: CloudLinux OS Blog , Tags: #lve-utils, #Python cllib, #lve-manager, #cagefs,

2099 people viewed this

Comments

 
No comments yet

Leave your comment

Guest, Sunday, 23 September 2018

Captcha Image